summaryrefslogtreecommitdiff
path: root/.local/bin/cron/crontog
diff options
context:
space:
mode:
authormarlonivo <email@marlonivo.xyz>2025-04-14 09:16:38 +0000
committermarlonivo <email@marlonivo.xyz>2025-04-14 09:16:38 +0000
commit0d1a84f59d8cdd62c97410f96f8a13c98c51453a (patch)
tree01fee1d2003ea27f96a3e52b077827605ed14fab /.local/bin/cron/crontog
initialHEADmaster
Diffstat (limited to '.local/bin/cron/crontog')
-rw-r--r--.local/bin/cron/crontog6
1 files changed, 6 insertions, 0 deletions
diff --git a/.local/bin/cron/crontog b/.local/bin/cron/crontog
new file mode 100644
index 0000000..c9a640f
--- /dev/null
+++ b/.local/bin/cron/crontog
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+# Toggles all cronjobs off/on.
+# Stores disabled crontabs in ~/.config/cronsaved until restored.
+
+([ -f "${XDG_CONFIG_HOME:-$HOME/.config}"/cronsaved ] && crontab - < "${XDG_CONFIG_HOME:-$HOME/.config}"/cronsaved && rm "${XDG_CONFIG_HOME:-$HOME/.config}"/cronsaved && notify-send "🕓 Cronjobs re-enabled.") || ( crontab -l > "${XDG_CONFIG_HOME:-$HOME/.config}"/cronsaved && crontab -r && notify-send "🕓 Cronjobs saved and disabled.")